package com.sw.mes.yb.accessory.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.accessory.dto.AccessoryReturnDto;
import com.sw.mes.yb.accessory.dto.ReturnCreateDto;
import com.sw.mes.yb.accessory.entity.AccessoryLog;
import com.sw.mes.yb.accessory.entity.AccessoryReturn;
import com.sw.mes.yb.accessory.vo.RequestWmsVo;
import com.sw.mes.yb.accessory.vo.ReturnApplyVo;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface AccessoryReturnService extends BaseService<AccessoryReturn> {
    void accessoryReturn(ReturnCreateDto accessoryReturnDto);

    AccessoryReturn findByOrderNum(String orderNum);

    AccessoryReturn findByAccessoryId(Integer accessory);

    String toWmsReturn(RequestWmsVo requestWmsVo, AccessoryLog accessoryLog, String url);

    AccessoryReturn findByGoodsCodeDesc(String goodsCode);
}
